mfsmount(8)

NAME
mfsmount - mount MooseFS

SYNOPSIS
mfsmount [HOST[:PORT]:[PATH]] [options] mountpoint

mfsmount -h|--help

mfsmount -V|--version

Since 3.0.75 (Linux only):

mount -t moosefs [options] [HOST[:PORT]:[PATH]] mountpoint

DESCRIPTION

Mount MooseFS.

OPTIONS

  GENERAL OPTIONS

-h, --help
    display help and exit

-V  display version information and exit

  FUSE OPTIONS

-d, -o debug
    enable debug mode (implies -f)

-f  foreground operation

-s  disable multi-threaded operation

  MOOSEFS OPTIONS

-c CFGFILE, -o mfscfgfile=CFGFILE
    loads file with additional mount options

-m, --meta, -o mfsmeta
    mount MFSMETA companion filesystem instead of primary MooseFS

-n  omit default mount options (-o allow_other)

-p  prompt for password (interactive version of -o mfspassword=PASS)

-H HOST, -o mfsmaster=HOST
    connect with MooseFS master on HOST (default is mfsmaster)

-P PORT, -o mfsport=PORT
    connect with MooseFS master on PORT (default is 9421)

-B IP, -o mfsbind=IP
    local address to use for connecting with master instead of default one

-L IP, -o mfsproxy=IP
    define listen ip address of local master proxy for communication with tools (default: 127.0.0.1)

-S PATH, -o mfssubfolder=PATH
    mount specified MooseFS directory (default is /, i.e. whole filesystem)

-o mfspassword=PASSWORD
    authenticate to MooseFS master with PASSWORD

-o mfspassfile=FILENAME
    authenticate to MooseFS master with password stored in first line of file pointed by FILENAME

-o mfsmd5pass=MD5
    authenticate to MooseFS master using directly given MD5 (only if mfspassword option is not specified)

-o mfsdonotrememberpassword
    do not remember password in memory - more secure, but when session is lost then new session is created without password

-o mfsdebug
    print some MooseFS-specific debugging information

-o mfsmemlock
    try to lock memory (all allocated memory will be mapped to physical RAM - which also means no swapping)

-o allowoomkiller
    do not disable out of memory killer (Linux only)

-o mfslimitarenas=N
    if N>0 then limit glibc malloc arenas (Linux only - default: 4)

-o mfsflattrash
    use flat trash structure in meta (option added for compatibility reasons - since version 3.0.64 trash is split into 4096 subfolders which reduces problems with big trashes)

-o mfsdelayedinit
    connection with master is done in background - with this option mount can be run without network (good for being run from fstab / init scripts etc.)

-o mfsmkdircopysgid=N
    sgid bit should be copied during mkdir operation (default depends on operating system)

-o mfssugidclearmode=SMODE
    set sugid clear mode (see SUGID CLEAR MODES; default depends on operating system)

-o mfscachemode=CMODE
    set cache mode (see DATA CACHE MODES; default is AUTO)

-o mfscachefiles
    (deprecated) preserve file data in cache (equivalent to '-o mfscachemode=YES')

-o mfsreaddirplusminto=SEC
    set minimal entry/attributes cache timeout for readdirplus in seconds (default: 0.0001)

-o mfsattrcacheto=SEC
    set attributes cache timeout in seconds (default: 1.0)

-o mfsxattrcacheto=SEC
    set extended attributes (xattr) cache timeout in seconds (default: 30.0)

-o mfsentrycacheto=SEC
    set file entry cache timeout in seconds (default: 0.0, i.e. no cache)

-o mfsdirentrycacheto=SEC
    set directory entry cache timeout in seconds (default: 1.0)

-o mfsnegentrycacheto=SEC
    set negative entry cache timeout in seconds (default: 0.0)

-o mfssymlinkcacheto=SEC
    set symbolic link cache timeout in seconds (default: 300.0)

-o mfsgroupscacheto=SEC
    set supplementary groups cache timeout in seconds (default: 300.0); setting this value to 0 disables supplementary groups support

-o mfsrlimitnofile=N
    try to change limit of simultaneously opened file descriptors on startup (default: 100000)

-o mfsnice=LEVEL
    try to change nice level to specified value on startup (default: -19)

-o mfswritecachesize=N
    specify write cache size in MiB (in range: 16..2048 - default: 256)

-o mfsreadaheadsize=N
    define size of all read ahead buffers in MiB (in range: 16..2048 - default: 256)

-o mfsreadaheadleng=N
    define amount of bytes to be additionally read (in range: 128KiB..2MiB - default: 1048576)

-o mfsreadaheadtrigger=N
    define amount of bytes read sequentially that turns on read ahead (default: 10 * mfsreadaheadleng)

-o mfserroronlostchunk
    when all known chunkservers are connected to the master and the required chunk is missing then immediately finish I/O and return an error

-o mfserroronnospace
    when all known chunkservers are connected to the master and there is no free space then immediately finish I/O and return an error

-o mfsioretries=N
    specify number of retries before I/O error is returned (default: 30)

-o mfstimeout=N
    define maximum timeout in seconds before I/O error is returned (default: 0 - which means no timeout)

-o mfslogretry=N
    define minimal retry counter on which system will start log I/O messages (default: 5)

-o mfsfsyncmintime=SEC
    force fsync before last file close when file was opened/created at least SEC seconds earlier (default: 0.0 - always do fsync before close)

-o mfspreflabels=LABELEXPR
    specify preferred labels for choosing chunkservers during I/O

-o mfsnoxattrs
    turn off xattr support

-o mfsnoposixlocks
    turn off support for global posix locks (lockf + ioctl) - locks will work locally

-o mfsnobsdlocks
    turn off support for global BSD locks (flock) - locks will work locally

  MOUNT OPTIONS

General mount options (see mount(8) manual):

-o rw|-o ro
    Mount file-system in read-write (default) or read-only mode respectively.

-o suid|-o nosuid
    Enable or disable suid/sgid attributes to work.

-o dev|-o nodev
    Enable or disable character or block special device files interpretation.

-o exec|-o noexec
    Allow or disallow execution of binaries.

FILES

mfsmount.cfg
    configuration file for MooseFS mount daemon; refer to mfsmount.cfg(5) manual for details

NOTES

  SUGID CLEAR MODE
During attribute change file systems sometimes clear flags suid and/or sgid. Behavior is different on different file systems. MFS tries to mimic behavior of most popular file system on given operating systems.

NEVER
    MFS will not change suid and sgid bit on chown

ALWAYS
    clear suid and sgid on every chown - safest operation

OSX standard behavior in OS X and Solaris (chown made by unprivileged user clear suid and sgid)

BSD standard behavior in *BSD systems (like in OSX, but only when something is really changed)

EXT standard behavior in most file systems on Linux (directories not changed, others: suid cleared always, sgid only when group exec bit is set)

XFS standard behavior in XFS on Linux (like EXT but directories are changed by unprivileged users)

  DATA CACHE MODES
There are four cache modes: DIRECT, NO, YES and AUTO. Default option is AUTO and you shuldn't change it unless you really know what you are doing. In AUTO mode data cache is managed automatically by mfsmaster.

DIRECT
    forces direct io (bypasses cache)

NO,NONE or NEVER
    never allow files data to be kept in cache (safest but can reduce efficiency)

YES or ALWAYS
    always allow files data to be kept in cache (dangerous)

AUTO
    file cache is managed by mfsmaster automatically (should be very safe and efficient)

  LABEL EXPRESSIONS
LABELEXPR grammar:

LABELEXPR
    -> S ; LABELEXPR | S

S   -> S + M | M

M   -> M L | L

L   -> a .. z | A .. Z | ( S ) | [ S ]

Subexpressions should be placed in priority order. Up to nine subexpressions (priorities) can be specified.

  FSTAB
On most Unix systems mfsmount can be invoked automatically from /etc/fstab. Be aware that rw or ro option has to be specified in options. Also on many systems there should be option which informs the system that this mountpoint should be mounted after starting networking services (options such as _netdev or late).

Linux:

mfsmount mountpoint fuse options 0 0

*BSD:

mfsmount_magic mountpoint moosefs options,mountprog=/usr/local/bin/mfsmount 0 0

Since version 3.0.75 alternative form can be used:

Linux:

HOST[:PORT]:[PATH] mountpoint moosefs options 0 0

*BSD:

HOST[:PORT]:[PATH] mountpoint moosefs options,mountprog=/usr/local/bin/mfsmount 0 0

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2025 Jakub Kruszona-Zawadzki, Saglabs SA

This file is part of MooseFS.

MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only).

MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html

SEE ALSO
mfsmaster(8), mfstools(1), mfsmount.cfg(5), mount(8)